구독 목록 조회
curl --request GET \
--url https://api.steppay.kr/api/v1/subscriptions \
--header 'Secret-Token: <api-key>'import requests
url = "https://api.steppay.kr/api/v1/subscriptions"
headers = {"Secret-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Secret-Token': '<api-key>'}};
fetch('https://api.steppay.kr/api/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": 123,
"customerName": "<string>",
"productName": "<string>",
"price": {
"id": 123,
"code": "<string>",
"price": 123,
"enabledFirstSalePrice": true,
"firstSalePrice": 123,
"billingDate": 123,
"maximumPurchaseQuantity": 123,
"membershipExpirationDate": 123,
"options": [
{
"id": 123,
"price": 123,
"name": "<string>",
"productCode": "<string>",
"priceCode": "<string>",
"priceName": "<string>",
"recurringDTO": {
"id": 123,
"intervalCount": 123
}
}
],
"volumes": [
{
"id": 123,
"min": 123,
"max": 123,
"price": 123
}
],
"basicServing": 123,
"bundlePrices": [
{
"product": {
"id": 123,
"code": "<string>",
"combinedProducts": [
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"price": 123,
"quantity": 123,
"parent": 123
}
],
"depth": 123
}
],
"prices": "<array>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"optionGroups": [
{
"id": 123,
"name": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"price": 123,
"quantity": 123,
"parent": 123
}
],
"depth": 123
}
],
"useCombination": true,
"optionCombinations": [
{
"id": [
123
],
"quantity": 123,
"price": 123
}
],
"prices": "<array>",
"createdAt": "2023-11-07T05:31:56Z",
"enabledDemo": true,
"demoPeriod": 123,
"categories": [
{
"categoryId": 123,
"name": "<string>"
}
],
"vendorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productOrder": 123,
"isOnetimePurchasable": true,
"eventBadge": [
{
"event": "<string>",
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z"
}
],
"name": "<string>",
"subTitle": "<string>",
"featuredImageUrl": "<string>",
"imageUrls": [
"<string>"
],
"description": "<string>",
"summary": "<string>",
"reasonOfReject": "<string>",
"sku": "<string>",
"quantity": 123,
"modifiedAt": "2023-11-07T05:31:56Z",
"notice": "<string>",
"useWidget": {
"useDemo": true,
"useEventBadge": true,
"useOnetimePurchasable": true,
"useNotice": true
},
"groupId": 123,
"countrySetting": {
"id": 123,
"countryCode": "<string>",
"timezoneName": "<string>",
"currencyCode": "<string>",
"isDefault": true,
"taxRate": 123
},
"availableRegions": [
{
"code": "<string>",
"currency": "<string>",
"country": "<string>",
"countryCode": "<string>",
"state": "<string>",
"language": "<string>"
}
]
},
"price": "<unknown>"
}
],
"onetimeBundlePrice": 123,
"order": 123,
"currencyPrice": {},
"unit": "<string>",
"planName": "<string>",
"planDescription": "<string>",
"setupOption": {
"name": "<string>",
"id": 123,
"price": 123,
"currencyPrice": {}
},
"additionalBilling": {
"id": 123,
"ranges": [
{
"id": 123,
"until": 123,
"price": 123
}
]
},
"recurring": {
"id": 123,
"intervalCount": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"plan": {
"name": "<string>",
"description": "<string>",
"isHiddenFromShop": true,
"detailDescription": "<string>",
"adminName": "<string>"
},
"firstSale": {
"enabled": true,
"price": 123,
"currencyPrice": {}
},
"claim": {
"billingDate": 123,
"provideStartDay": 123
}
},
"items": [
{
"id": 123,
"productName": "<string>",
"isOnetimePurchasable": true,
"featuredImageUrl": "<string>",
"selectedProductOptionIds": [
123
],
"selectedProductOptionPrice": 123,
"plan": {
"name": "<string>",
"description": "<string>",
"isHiddenFromShop": true,
"detailDescription": "<string>",
"adminName": "<string>"
},
"price": 123,
"quantity": 123,
"isAdditional": true,
"keepWhenRenew": true,
"hasOptions": true,
"selectedOptions": [
123
],
"code": "<string>",
"selectedProductOptionLabel": "<string>",
"maximumPurchaseQuantity": 123,
"productCode": "<string>",
"priceCode": "<string>",
"parentSubscriptionItemCode": "<string>"
}
],
"startDateTime": "2023-11-07T05:31:56Z",
"lastPaymentDateTime": "2023-11-07T05:31:56Z",
"intervalCount": 123,
"baseCurrency": "<string>",
"currency": "<string>",
"exchangeRate": 123,
"region": {
"code": "<string>",
"currency": "<string>",
"country": "<string>",
"countryCode": "<string>",
"state": "<string>",
"language": "<string>"
},
"nextPaymentDateTime": "2023-11-07T05:31:56Z",
"expiredDateTime": "2023-11-07T05:31:56Z",
"pausedDateTime": "2023-11-07T05:31:56Z",
"paymentMethod": {
"paymentInfo": "<string>"
},
"endDate": "2023-11-07T05:31:56Z"
}
],
"empty": true,
"first": true,
"last": true,
"number": 123,
"numberOfElements": 123,
"pageable": {
"offset": 123,
"pageNumber": 123,
"pageSize": 123,
"paged": true,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"unpaged": true
},
"size": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"totalElements": 123,
"totalPages": 123
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}구독 API
구독 목록 조회
구독 목록을 반환합니다.
GET
/
api
/
v1
/
subscriptions
구독 목록 조회
Authorizations
Query Parameters
구독 ID로 검색
구독 상태로 검색
구독 아이템의 상품명으로 검색
구독 아이템의 가격 플랜명으로 검색
구독의 고객 번호로 검색
구독의 고객 아이디로 검색
구독의 고객 이름으로 검색
구독의 고객 이메일로 검색
구독의 고객 전화번호로 검색
조회 시작 시점
조회 끝 시점
페이지 번호(기본값: 0)
페이지 크기(기본값: 20)
정렬 방향(오름차순: ASC, 내림차순: DESC(기본값))
정렬 기준값 - 기본값: 생성 시점
Response
정상적으로 조회됨
구독 목록
Show child attributes
Show child attributes
목록이 비어있는지 여부
첫 번째 페이지인지 여부
마지막 페이지인지 여부
페이지 번호
페이지 내 고객 목록 개수
Pagination 정보
Show child attributes
Show child attributes
페이지 크기
정렬 정보
Show child attributes
Show child attributes
전체 고객 개수
전체 페이지수
⌘I